petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPGetTolerances

Gets the relative, absolute, divergence, and maximum iteration tolerances used by the default KSP convergence tests.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetTolerances(KSP ksp,PetscReal *rtol,PetscReal *abstol,PetscReal *dtol,PetscInt *maxits)

Not Collective Many br

### Input Parameter

ksp -the Krylov subspace context Many br

### Output Parameters

| rtol | - the relative convergence tolerance Many br
| abstol | - the absolute convergence tolerance Many br
| dtol | - the divergence tolerance Many br
| maxits | - maximum number of iterations Many br

### Notes

The user can specify NULL for any parameter that is not needed. Many br

Many br

### Keywords

KSP, get, tolerance, absolute, relative, divergence, convergence,
maximum, iterations Many br

### See Also

KSPSetTolerances()

Level:intermediate
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex74f.F90.html